Bug 716762 - "Add" and "Remove" button labels in customize locales
"Add" and "Remove" button labels in customize locales
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI, Usability (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-26 21:31 EDT by Joshua Wulf
Modified: 2014-10-19 18:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2011-06-26 21:31:27 EDT
When creating a new project, the customize locales interface would be clearer if the buttons:

<
and 
>

were labelled:

Add >

and

< Remove
Comment 1 Sean Flanigan 2011-06-27 02:14:47 EDT
Done. Also renamed "available locales/selected locales" to "disabled locales/enabled locales".
Comment 2 Ding-Yi Chen 2011-07-03 20:36:03 EDT
Change observed in version 1.4-SNAPSHOT (20110704-0602).

I also tried:
1. Use URL to visit disabled locale:
   For example, if we disable ja, and go to
   http://zanata.com/zanata-test/webtrans/Application.html?project=AboutFedora&iteration=f11&localeId=ja&locale=en
   Actual behaviour:
   You can still see the document list, but clicking into document list displays
	
    An unknown error occurred

   Expected behaviour:
   Shows: "Locale is disable" in both document list and document editing mode.

2. Push the disabled locale:
   Actual behaviour:
   [ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:1.4-SNAPSHOT:push (default-cli) on project null: Zanata mojo exception: operation returned 403 (Forbidden): Locale ja is not allowed for project AboutFedora and version f13. Please contact project maintainer. 
   ...
   Expected behaviour:
   It behaves as it should.

   However, for the sake of usability, we can have a switch like:
    --warnOnDisabledLocale: show warning when pushing disabled locale, then continue pushing other locale.

3. Re-enable locale and see the data is preserved.
   Passed.

4. Push the enabled locale:
   Passed.
Comment 3 Sean Flanigan 2011-07-04 00:37:27 EDT
Dean, for (1) and (2), could you please put in separate BZs?
Comment 4 Ding-Yi Chen 2011-07-04 03:03:01 EDT
The original request is fulfilled in 1.4-SNAPSHOT (20110704-0602).

Other concerns in comments are filed as:

Bug 718648 - Forged URL handling: Zanata should display "locale is disabled" when visiting disabled locale

Bug 718653 - Feature request: option to show warning when pushing disabled locale, then continue pushing other locale

Note You need to log in before you can comment on or make changes to this bug.